clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::Hover Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::Hover:
[legend]

## Public Attributes
MarkupContent | contents
| The hover's content. More...
llvm::Optional< Range > | range
| An optional range is a range inside a text document that is used to visualize a hover, e.g. More...

## Detailed Description

Definition at line 814 of file Protocol.h.

## Member Data Documentation

## ◆ contents

MarkupContent clang::clangd::Hover::contents

The hover's content.

Definition at line 816 of file Protocol.h.

Referenced by clang::clangd::getHoverContents(), and clang::clangd::toJSON().

## ◆ range

llvm::Optional<Range> clang::clangd::Hover::range

An optional range is a range inside a text document that is used to visualize a hover, e.g.

by changing the background color.

Definition at line 820 of file Protocol.h.

Referenced by clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h